#!/bin/sh
# This script copy's the cardclient configs 
# by TechNL
# please edit the configs from your hd with your own credentials
# 

case $1 in
cccam)
/etc/init.d/oscam-server stop
sleep 1
/etc/init.d/reel-cccam-server restart
sleep 2
cp /media/hd/cardclient/cc_cardslot.conf /etc/vdr/plugins/sc/cardslot.conf 
cp /media/hd/cardclient/cc_cardclient.conf /etc/vdr/plugins/sc/cardclient.conf 
sleep 1
echo "Activating the new settings, be back soon :-)"
killall -HUP vdr
exit 0
;;

gbox)
cp /media/hd/cardclient/gb_cardclient.conf /etc/vdr/plugins/sc/cardclient.conf 
sleep 1
echo "Activating the new settings, be back soon"
killall -HUP vdr
exit 0
;;

camd35)
cp /media/hd/cardclient/camd35_cardclient.conf /etc/vdr/plugins/sc/cardclient.conf 
sleep 1
echo "Activating the new settings, be back soon :-)"
killall -HUP vdr
exit 0
;;

oscam)
/etc/init.d/reel-cccam-server stop
sleep 1
/etc/init.d/oscam-server restart
cp /media/hd/cardclient/oscam_cardclient.conf /etc/vdr/plugins/sc/cardclient.conf 
sleep 1
echo "Activating the new settings, be back soon :-)"
killall -HUP vdr
exit 0
;;

keyupdate)
/usr/sbin/keyupdate.sh &
exit 0
;;

satan)
/usr/sbin/cardclient-satan.sh &
exit 0
;;


softcam)
echo "===== SoftCam Versie =====" > /tmp/sc-versie1
echo "" > /tmp/sc-versie2
echo "" > /tmp/sc-versie3
echo "" > /tmp/sc-versie4
echo "" > /tmp/sc-versie5
echo "Momenteel staat softcam" > /tmp/sc-versie6
aptitude show softcam | grep Vers > /tmp/sc-versie7
echo "op de Avantgarde" > /tmp/sc-versie8
cat /tmp/sc-versie1
cat /tmp/sc-versie2
cat /tmp/sc-versie3
cat /tmp/sc-versie4
cat /tmp/sc-versie5
cat /tmp/sc-versie6
cat /tmp/sc-versie7
cat /tmp/sc-versie8
#svdrpsend.sh MESG "SC versie = `cat /tmp/sc-versie` ..." >/dev/null 2>&1
rm /tmp/sc-versie*
#/usr/sbin/cardclient-vdr-sc_version.sh 
svdrpsend.sh HITK BACK >/dev/null 2>&1
exit 0
;;


sc-reader)
etc/init.d/reel-cccam-server stop
sleep 2
cp /media/hd/cardclient/sc_cardslot.conf /etc/vdr/plugins/sc/cardslot.conf 
sleep 1
echo "Activating the new settings, be back soon :-)"
killall -HUP vdr
exit 0
;;

which-emu)
cat /etc/vdr/plugins/sc/cardclient.conf | grep cardclient
exit 0
;;
esac


